httpd-apreq-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j...@apache.org
Subject cvs commit: httpd-apreq Changes INSTALL README
Date Thu, 19 Jun 2003 07:19:01 GMT
joes        2003/06/19 00:19:01

  Modified:    .        Changes INSTALL README
  Log:
  Updated test docs.  Prepping v1.2 for a June 19 release (today).
  
  Revision  Changes    Path
  1.53      +10 -1     httpd-apreq/Changes
  
  Index: Changes
  ===================================================================
  RCS file: /home/cvs/httpd-apreq/Changes,v
  retrieving revision 1.52
  retrieving revision 1.53
  diff -u -r1.52 -r1.53
  --- Changes	13 Jun 2003 06:08:31 -0000	1.52
  +++ Changes	19 Jun 2003 07:19:01 -0000	1.53
  @@ -2,7 +2,16 @@
   
   =over 4
   
  -=item 1.15 - July 13, 2003
  +=item 1.2 - July 19, 2003
  +
  +libapreq-1.2 released.
  +
  +=item 1.16 - July 19, 2003
  +
  +Updated INSTALL & README documents to explain how to configure the tests.
  +Apache::Test v1.03 is now a prerequisite for libapreq.
  +
  +=item 1.15 - June 13, 2003
   
   Experimental support for SFIO is withdrawn.
   
  
  
  
  1.6       +41 -5     httpd-apreq/INSTALL
  
  Index: INSTALL
  ===================================================================
  RCS file: /home/cvs/httpd-apreq/INSTALL,v
  retrieving revision 1.5
  retrieving revision 1.6
  diff -u -r1.5 -r1.6
  --- INSTALL	5 Jan 2003 13:06:51 -0000	1.5
  +++ INSTALL	19 Jun 2003 07:19:01 -0000	1.6
  @@ -26,14 +26,50 @@
   routines that can be called by your application Makefile to find the
   include and linker arguments.
   
  -If the test suite doesn't find your httpd, you should help it to find it.
  -If your httpd is built as DSO:
  +--------------------------------------------------
   
  - perl Makefile.PL -apxs /path/to/apache/bin/apxs 
  +NOTES ON THE TEST SUITE:
   
  -If your httpd is static:
  +The current libapreq test suite requires Apache::Test version 1.03 
  +or greater.
   
  - perl Makefile.PL -httpd /path/to/apache/bin/httpd
  +If you have more than one apache+modperl installation on your 
  +system, Apache::Test might need help in determining which build 
  +to use for the tests.  If your apache build has DSO support (mod_so 
  +is installed), set the APXS variable [*] to the location of the 
  +apxs binary prior to building libapreq:
  +
  +        % APXS=/path/to/apache/bin/apxs
  +        % export APXS
  +        % perl Makefile.PL
  +        % make && make test
  +
  +Otherwise set the APACHE environment variable [*] to the location 
  +of httpd:
  +
  +        % APACHE=/path/to/apache/bin/httpd
  +        % export APACHE
  +        % perl Makefile.PL
  +        % make && make test
  +
  +
  +There are 3 more env vars to know about: 
  +
  +        APACHE_GROUP APACHE_USER APACHE_PORT
  +
  +which let you customize the Group, User, and Port config settings
  +for the tests.
  +
  +
  +[*] - the command-line equivalents for the APXS and APACHE env
  +      vars are (respectively)
  +
  +         perl Makefile.PL -apxs /path/to/apache/bin/apxs
  +
  +         perl Makefile.PL -httpd /path/to/apache/bin/httpd
  +
  +      However, the env vars provide a more CPAN-friendly approach.
  +      Please see the Apache::Test documentation for more details.
   
   --------------------------------------------------
   
  
  
  
  1.10      +2 -21     httpd-apreq/README
  
  Index: README
  ===================================================================
  RCS file: /home/cvs/httpd-apreq/README,v
  retrieving revision 1.9
  retrieving revision 1.10
  diff -u -r1.9 -r1.10
  --- README	17 Jun 2003 09:33:21 -0000	1.9
  +++ README	19 Jun 2003 07:19:01 -0000	1.10
  @@ -36,27 +36,8 @@
   
   IMPORTANT NOTE:  The test suite in libapreq-1.1 was based
   on Apache::test, which is now in the process of being phased
  -out of mod_perl-1.X.  During the transition period, some 
  -platforms may have difficulty running our new test suite.  
  -Users that have successfully installed libapreq in the past 
  -may wish to ignore the test results and install anyway, but this
  -is not recommended.  Please upgrade to the newest version of 
  -mod_perl-1.X and pull the latest version of Apache::Test 
  -off of CPAN.
  -
  -Also, if you have more than one apache+modperl installation on your 
  -system, Apache::Test might need help in determining which build
  -to use for the tests.  One way to do this is to pass an -apxs 
  -or -httpd argument to MakeMaker:
  -
  -        % perl Makefile.PL -apxs /path/to/apache/bin/apxs
  -   or
  -        % perl Makefile.PL -httpd /path/to/apache/bin/httpd
  -
  -        % make && make test
  -
  -Please read the INSTALL file and Apache::Test documentation 
  -for more details.
  +out of mod_perl-1.X.  libapreq's new tests require Apache::Test 
  +version 1.03 or greater.  Please read the INSTALL file for more details.
   
   Portions of the C code are based on examples from:
        Writing Apache Modules with Perl and C,
  
  
  

Mime
View raw message